=== debian/changelog ===
drmips (1.2.3-1) unstable; urgency=low

  * Initial release. (Closes: #751397)

 -- Bruno Nova <brunomb.nova@gmail.com>  Sat, 27 Sep 2014 12:24:17 +0100
