=== simulator/DrMIPSSimulator/src/CMakeLists.txt ===
--- 
+++ 
@@ -28,7 +28,7 @@
 add_custom_command(TARGET "${PROJECT_NAME}Simulator" POST_BUILD
                    COMMAND ${CMAKE_COMMAND} -E copy_if_different
                            "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}Simulator.jar"
-                           "${CMAKE_SOURCE_DIR}/src/android/${PROJECT_NAME}/libs/${PROJECT_NAME}Simulator.jar"
+                           "${CMAKE_SOURCE_DIR}/src/android/${PROJECT_NAME}/app/libs/${PROJECT_NAME}Simulator.jar"
                    COMMENT "Copying ${PROJECT_NAME}Simulator.jar to the Android version project libs/ directory"
                    VERBATIM)
