=== debian/changelog ===
drmips (1.3.0-2~ubuntu14.04.1) trusty-backports; urgency=medium

  * No-change backport to trusty (LP: #1458035)

 -- Micah Gersten <micahg@ubuntu.com>  Tue, 09 Jun 2015 14:16:22 -0500

drmips (1.3.0-2) unstable; urgency=low

  * Upload to unstable.

 -- Bruno Nova <brunomb.nova@gmail.com>  Wed, 06 May 2015 20:54:32 +0100

drmips (1.3.0-1) experimental; urgency=low

  * New upstream release.
  * debian/control:
    - Bumped Standards-Version to 3.9.6.
    - Changed section to electronics.
    - Simplified Build-Depends by removing redundant dependencies on java7-jdk
      and openjdk-6-jdk.
    - Simplified Depends by removing redundant dependencies on java7-runtime
      and openjdk-6-jre.
  * debian/copyright:
    - Added commercial license of src/pc/DrMIPS/src/com/jtattoo/*.
    - Added copyright and license of src/pc/DrMIPS/src/org/jscroll/*.
    - Updated copyright years.
  * debian/doc-base.*: files renamed (by upstream).
  * debian/lintian-overrides: removed as it's no longer necessary.
  * debian/rules: updated the paths that dh_clean removes.
  * debian/source/lintian-overrides:
    - Removed an override that is no longer necessary.
    - Added an override for source-contains-prebuilt-java-object in the path
      src/android/DrMIPS/gradle/wrapper/gradle-wrapper.jar.
  * debian/upstream/signing-key.asc: updated the upstream signing key.

 -- Bruno Nova <brunomb.nova@gmail.com>  Mon, 23 Mar 2015 14:23:01 +0000
