=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ https://bitbucket.org/brunonova/drmips/downloads /brunonova/drmips/downloads/DrMIPS_v(.*)\.tar.(?:gz|bz2|xz)
