## drmips 1.3.2

=== pc/DrMIPS/src/CMakeLists.txt ===
--- 
+++ 
@@ -10,10 +10,12 @@
 
 # List of Java source files
 file(GLOB_RECURSE SRC RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "org/*.java" "com/jtattoo/plaf/*"
-                               "org/fife/io/*" "org/fife/print/*" "org/fife/ui/*" "org/fife/util/*")
+                               "org/fife/io/*" "org/fife/print/*" "org/fife/ui/*"
+                               "org/fife/util/*" "joptsimple/*.java")
 
 # List of resource files
-file(GLOB_RECURSE RES RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "res/*" "org/*.properties")
+file(GLOB_RECURSE RES RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "res/*"
+                               "org/*.properties" "joptsimple/*.properties")
 
 # List of libraries (without the path)
 set(LIBS DrMIPSSimulator.jar)
