=== debian/changelog ===
drmips (1.3.2-1~bpo8+1) jessie-backports; urgency=low

  * Rebuild for jessie-backports.

 -- Bruno Nova <brunomb.nova@gmail.com>  Wed, 07 Oct 2015 20:14:27 +0100

drmips (1.3.2-1) unstable; urgency=low

  * New upstream release.
  * debian/control: updated Homepage and Vcs-* fields.
  * debian/copyright: updated Source field.
  * debian/docs: added to install AUTHORS, NEWS and README.md.
  * debian/watch: updated the URL.

 -- Bruno Nova <brunomb.nova@gmail.com>  Mon, 21 Sep 2015 19:56:47 +0100

drmips (1.3.1-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: added license of src/pc/DrMIPS/src/joptsimple/*.

 -- Bruno Nova <brunomb.nova@gmail.com>  Thu, 03 Sep 2015 19:55:21 +0100
