=== simulator/DrMIPSSimulator/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,8 @@
 # Subdirectory
 add_subdirectory(src)
+if(DRMIPS_BUILD_TESTS)
+	add_subdirectory(test)
+endif()
 
 # Configurations
 set(PC_CPU_PATH "${CMAKE_SOURCE_DIR}/src/pc/${PROJECT_NAME}/cpu")
@@ -9,7 +12,7 @@
 message(STATUS "Copying cpu/ to the PC and Android projects")
 file(MAKE_DIRECTORY "${PC_CPU_PATH}")
 file(MAKE_DIRECTORY "${ANDROID_CPU_PATH}")
-file(GLOB FILES RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}/cpu" "cpu/*")
+file(GLOB FILES RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}/cpu" cpu/*)
 foreach(RES ${FILES})
 	configure_file("cpu/${RES}" "${PC_CPU_PATH}/${RES}" COPYONLY)
