=== pc/DrMIPS/src/CMakeLists.txt ===
--- 
+++ 
@@ -1,21 +1,19 @@
-# Directory where Java classes are compiled to (should not be changed)
-set(CLASS_DIR "${CMAKE_CURRENT_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/${PROJECT_NAME}.dir")
-
 # The manifest file (specifying the Main class and the libraries)
 set(MANIFEST "${CMAKE_CURRENT_BINARY_DIR}/Manifest.mf")
 
 # Configure files
-configure_file("org/feup/brunonova/drmips/gui/DrMIPS.java.in"
-               "${CMAKE_CURRENT_SOURCE_DIR}/org/feup/brunonova/drmips/gui/DrMIPS.java")
+configure_file(brunonova/drmips/pc/DrMIPS.java.in
+               "${CMAKE_CURRENT_SOURCE_DIR}/brunonova/drmips/pc/DrMIPS.java")
 
 # List of Java source files
-file(GLOB_RECURSE SRC RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "org/*.java" "com/jtattoo/plaf/*"
-                               "org/fife/io/*" "org/fife/print/*" "org/fife/ui/*"
-                               "org/fife/util/*" "joptsimple/*.java")
+file(GLOB_RECURSE SRC RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" brunonova/*.java
+                               org/*.java com/jtattoo/plaf/*
+                               org/fife/io/* org/fife/print/* org/fife/ui/*
+                               org/fife/util/* joptsimple/*.java)
 
 # List of resource files
-file(GLOB_RECURSE RES RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "res/*"
-                               "org/*.properties" "joptsimple/*.properties")
+file(GLOB_RECURSE RES RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" res/*
+                               org/*.properties joptsimple/*.properties)
 
 # List of libraries (without the path)
 set(LIBS DrMIPSSimulator.jar)
@@ -40,7 +38,7 @@
 
 # Jar compilation target
 add_jar(${PROJECT_NAME} ${SRC} ${RES} INCLUDE_JARS ${LIBS_PATHS} MANIFEST ${MANIFEST}
-                        ENTRY_POINT org.feup.brunonova.drmips.gui.DrMIPS)
+                        ENTRY_POINT brunonova.drmips.pc.DrMIPS)
 add_custom_target(pc_version DEPENDS ${PROJECT_NAME}) # add meta-target "pc_version"
 add_dependencies(${PROJECT_NAME} "${PROJECT_NAME}Simulator") # depend on the simulator project
