=== simulator/DrMIPSSimulator/src/CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,11 @@
-# Directory where Java classes are compiled to (should not be changed)
-set(CLASS_DIR "${CMAKE_CURRENT_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/${PROJECT_NAME}.dir")
-
 # List of Java source files
-file(GLOB_RECURSE SRC RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "org/*.java")
+file(GLOB_RECURSE SRC RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" brunonova/*.java org/*.java)
 
 # Jar compilation target
 add_jar("${PROJECT_NAME}Simulator" ${SRC})
 add_custom_target(simulator DEPENDS "${PROJECT_NAME}Simulator") # add meta-target "simulator"
+get_property(SIMULATOR_JAR_PATH TARGET "${PROJECT_NAME}Simulator" PROPERTY JAR_FILE) # find path to built jar
+set(SIMULATOR_JAR_PATH "${SIMULATOR_JAR_PATH}" PARENT_SCOPE) # make variable available in parent scope
 
 # Javadoc target
 if(DRMIPS_BUILD_SIMULATOR_JAVADOC)
@@ -19,7 +18,7 @@
 # Copy jar to the lib/ directory of the PC version project
 add_custom_command(TARGET "${PROJECT_NAME}Simulator" POST_BUILD
                    COMMAND ${CMAKE_COMMAND} -E copy_if_different
-                           "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}Simulator.jar"
+                           "${SIMULATOR_JAR_PATH}"
                            "${CMAKE_SOURCE_DIR}/src/pc/${PROJECT_NAME}/lib/${PROJECT_NAME}Simulator.jar"
                    COMMENT "Copying ${PROJECT_NAME}Simulator.jar to the PC version project lib/ directory"
                    VERBATIM)
@@ -27,7 +26,7 @@
 # Copy jar to the libs/ directory of the Android version project
 add_custom_command(TARGET "${PROJECT_NAME}Simulator" POST_BUILD
                    COMMAND ${CMAKE_COMMAND} -E copy_if_different
-                           "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}Simulator.jar"
+                           "${SIMULATOR_JAR_PATH}"
                            "${CMAKE_SOURCE_DIR}/src/android/${PROJECT_NAME}/app/libs/${PROJECT_NAME}Simulator.jar"
                    COMMENT "Copying ${PROJECT_NAME}Simulator.jar to the Android version project libs/ directory"
                    VERBATIM)
@@ -35,7 +34,7 @@
 # Copy jar to DRMIPS_ZIP_BUILD_DIRECTORY
 add_custom_command(TARGET "${PROJECT_NAME}Simulator" POST_BUILD
                    COMMAND ${CMAKE_COMMAND} -E copy_if_different
-                           "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}Simulator.jar"
+                           "${SIMULATOR_JAR_PATH}"
                            "${DRMIPS_ZIP_BUILD_DIR}/lib/${PROJECT_NAME}Simulator.jar"
                    COMMENT "Copying ${PROJECT_NAME}Simulator.jar to the ZIP build directory"
                    VERBATIM)
