=== debian/changelog ===
drmips (2.0.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fixed the build failure with Java 11 (Closes: #912230)

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 12 Sep 2019 10:01:49 +0200

drmips (2.0.1-2) unstable; urgency=low

  * debian/control: Depend on default-jre and Build-Depend on default-jdk,
    instead of on a specific version of openjdk (Closes: #814161).

 -- Bruno Nova <brunomb.nova@gmail.com>  Thu, 11 Feb 2016 12:47:04 +0000

drmips (2.0.1-1) unstable; urgency=low

  * New upstream release.
  * d/control: removed texlive* from Build-Depends.
  * d/copyright: removed license of cmake/Modules/UseLATEX.cmake.
  * d/doc-base: merged the d/doc-base.* files into a single file, and update
    it.
  * d/doc-base.*: files removed.

 -- Bruno Nova <brunomb.nova@gmail.com>  Mon, 30 Nov 2015 21:43:00 +0000

drmips (2.0.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Added junit4 to Build-Depends.
    - Changed java6-jdk to java7-jdk in Build-Depends.
    - Changed java6-runtime to java7-runtime in Depends.
  * debian/menu: file removed as it's now obsolete.
  * debian/rules: update path in override_dh_clean target.

 -- Bruno Nova <brunomb.nova@gmail.com>  Sun, 22 Nov 2015 22:59:21 +0000
