=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ https://github.com/brunonova/drmips/releases /brunonova/drmips/releases/download/v.*/DrMIPS_v(.*)\.tar\.(?:gz|bz2|xz)
